Package org.apache.solr.client.solrj.response.json

## Class HeatmapJsonFacet

- java.lang.Object
- - org.apache.solr.client.solrj.response.json.HeatmapJsonFacet

    public class HeatmapJsonFacet
    extends Object

Represents the result of a "heatmap" JSON facet.

Allows access to all top-level facet properties (e.g. `minX`, `maxY`, etc.) as well as the heatmap data itself in one of two forms.

### Constructor Summary

Constructors
`HeatmapJsonFacet​(NamedList<?> heatmapNL)`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`List<List<Integer>>` `getCountGrid()`
`String` `getCountPng()`
`int` `getGridLevel()`
`double` `getMaxX()`
`double` `getMaxY()`
`double` `getMinX()`
`double` `getMinY()`
`int` `getNumColumns()`
`int` `getNumRows()`
`static boolean` `isHeatmapFacet​(NamedList<?> potentialHeatmapValues)` A NamedList is a proper "heatmap" response if it contains all expected properties

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### HeatmapJsonFacet

    public HeatmapJsonFacet​(NamedList<?> heatmapNL)

### Method Detail

#### getCountGrid

    public List<List<Integer>> getCountGrid()

#### getCountPng

    public String getCountPng()

#### getGridLevel

    public int getGridLevel()

#### getNumColumns

    public int getNumColumns()

#### getNumRows

    public int getNumRows()

#### getMinX

    public double getMinX()

#### getMaxX

    public double getMaxX()

#### getMinY

    public double getMinY()

#### getMaxY

    public double getMaxY()

#### isHeatmapFacet

    public static boolean isHeatmapFacet​(NamedList<?> potentialHeatmapValues)

A NamedList is a proper "heatmap" response if it contains all expected properties

We try to be rather strict in determining whether `potentialHeatmapValues` is a "heatmap". Users can name subfacets arbitrarily, so having some names match those expected in a "heatmap" response could just be coincidence.

Heatmap facets do not support subfacets.